@echo off &setlocal
:: print the help message
vt /?

:: run vt without argument if you only want to determine if VT processing is supported
vt
if errorlevel 1 echo The legacy console doesn't support VT processing.

:: colored output
vt \e[34;107mColored output (containing spaces) ^& "quoted substring"\e[0m\n

:: write \N, \E, \n, and \e
vt literal \\N, \\E, \\n, and \\e\n

:: capture the cursor position (which is at the beginning of the output of the sequence when we request it)
set "response="
for /f "delims=" %%i in ('vt \e[6n') do set "response=%%i"
if defined response set "response=%response:~2,-1%"
for /f "tokens=1* delims=;" %%i in ("%response%") do echo cursor position x=%%j y=%%i

pause
